/****************************************************************************
*   COPYRIGHT 2019 All rights reserved
*   Panasonic Industrial Devices Europe GmbH
****************************************************************************/

#include "application.h"
#include "ble_api_master.h"

void ble_application_master_resolve_address_user_failed_callback(void)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_master_resolve_address_user_success_callback(uint8_t *data, uint8_t *bd_addr)
{
  dprintf("bd_address " BD_ADDR_FORMAT_STRING "\n", BD_ADDR_ARGUMENTS(bd_addr));
}

void ble_application_master_create_connection_cancel_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

enum ble_api_result ble_application_master_extended_advertise_report_event_callback(struct tcu_le_mng_extended_adv_report_event *event)
{
  dprintf("\n");
  __debugbreak();
  return LE_API_SUCCESS;
}

void ble_application_master_scan_time_out_event_callback(void)
{
  dprintf("\n");
  __debugbreak();
}

#if 0
enum ble_api_result ble_application_master_advertise_report_event_callback(struct tcu_le_mng_adv_report_event *event)
{
	dprintf("\n");
	__debugbreak();
  return LE_API_SUCCESS;
}

enum ble_api_result ble_application_master_scan_status_update_callback(enum ble_api_scan_operation operation, uint8_t status)
{
  dprintf("\n");
  __debugbreak();
  return LE_API_SUCCESS;
}
#endif

enum ble_api_result ble_application_master_directed_advertise_report_event_callback(struct tcu_le_mng_directed_adv_report_event *event)
{
  dprintf("\n");
  __debugbreak();
  return LE_API_SUCCESS;
}