/****************************************************************************
*   COPYRIGHT 2019 All rights reserved
*   Toshiba Electronics Europe GmbH
*   European LSI Design and Engineering Center (ELDEC)
****************************************************************************/

#include "application.h"
#include "bt_api_ven_flash.h"

void bt_application_ven_read_rssi_ctrl_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_read_rssi_event_callback(uint8_t status, uint8_t *data)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_set_baud_rate_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

#if 0
void bt_application_ven_nvm_operation_done_callback(uint32_t bytes, uint8_t operation)
{
	dprintf("\n");
	__debugbreak();
}
#endif

void bt_application_ven_set_bd_addr_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_set_tx_power_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_i2c_operation_done_callback(uint8_t status, uint32_t bytes, uint8_t operation)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_change_system_clock_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

/************************** BEGIN of DISCLAIMER   **************************

- TOSHIBA is continually working to improve the quality and reliability of
  its products. Nevertheless, semiconductor devices in general can
  malfunction or fail due to their inherent electrical sensitivity and
  vulnerability to physical stress. It is the responsibility of the buyer,
  when utilizing TOSHIBA products, to comply with the standards of safety
  in making a safe design for the entire system, and to avoid situations in
  which a malfunction or failure of such TOSHIBA products could cause loss of
  human life, bodily injury or damage to property.

  In developing your designs, please ensure that TOSHIBA products are used
  within specified operating ranges as set forth in the most recent TOSHIBA
  products specifications.
  Also, please keep in mind the precautions and conditions set forth in the
  "Handling Guide for Semiconductor Devices," or
  "TOSHIBA Semiconductor Reliability Handbook" etc..

- The Toshiba products listed in this document are intended for usage in
  general electronics applications (computer, personal equipment, office
  equipment, measuring equipment, industrial robotics, domestic appliances,
  etc.).
  These Toshiba products are neither intended nor warranted for usage in
  equipment that requires extraordinarily high quality and/or reliability or
  a malfunction or failure of which may cause loss of human life or bodily
  injury ("Unintended Usage"). Unintended Usage include atomic energy control
  instruments, airplane or spaceship instruments, transportation instruments,
  traffic signal instruments, combustion control instruments, medical
  instruments, all types of safety devices, etc..
  Unintended Usage of Toshiba products listed in this document shall be
  made at the customer's own risk.

- Toshiba assumes no liability for any damage or losses (including but not
  limited to, loss of business profit,business interruption, loss of business
  information,and other pecuniary losses) occurring
  from the use of, or inability to use, this product.

- The products described in this document are subject to the foreign exchange
  and foreign trade laws.

- The products described in this document contain components made in the
  United States and subject to export control of the U.S. authorities.
  Diversion contrary to the U.S. law is prohibited.

- The information contained herein is presented only as a guide for the
  applications of our products.
  No responsibility is assumed by TOSHIBA CORPORATION for any infringements
  of intellectual property or other rights of the third parties which may
  result from its use.
  No license is granted by implication or otherwise under any intellectual
  property or other rights of TOSHIBA CORPORATION or others.

- The information contained herein is subject to change without notice.

****************************  END of DISCLAIMER ****************************/
